/*
Theme Name: the7dtchild
Author: Dream-Theme
Author URI: http://dream-theme.com/
Description: The7 is perfectly scalable, performance and SEO optimized, responsive, retina ready multipurpose WordPress theme. It will fit every site – big or small. From huge corporate portals to studio or personal sites – The7 will become a great foundation for your next project!
Version: 1.0.0
License: This WordPress theme is comprised of two parts: (1) The PHP code and integrated HTML are licensed under the GPL license as is WordPress itself.  You will find a copy of the license text in the same directory as this text file. Or you can read it here: http://wordpress.org/about/gpl/ (2) All other parts of the theme including, but not limited to the CSS code, images, and design are licensed according to the license purchased. Read about licensing details here: http://themeforest.net/licenses/regular_extended
Template: dt-the7
*/

:root {
    --light-green-1: #63ac6c;
    --light-gray-bg: #f4f4f4;
    --border-color: #ccc;
    --font-color-1: #3a3a3a;
    --green-text: #3C9747;
    --teal-button-bg: #3f818c;
    --teal-button-hover-bg: #336771;
    --orange-button-bg: #ff7a00;
    --orange-button-hover-bg: #e06c00;
    --green-button-bg: #218838;
    --green-button-hover-bg: #1C732F;
}

.button:disabled {
    opacity: 50%;
}

/* Remove sidebar on woocommerce pages, registration page */
.woocommerce-page .wf-container-main,
.page-registration .wf-container-main {
    display: block !important;
}

.woocommerce-page .sidebar,
.page-registration .sidebar {
    display: none;
}

.woocommerce-checkout .meta-label,
.woocommerce-account .meta-label {
    color: white;
    background-color: var(--light-green-1);
    padding: 0.2rem 0.5rem;
    font-weight: 500;
    border-radius: 4px;
    font-size: 0.9rem;
}

.woocommerce-checkout .woocommerce-table__product-name {
    width: 90%;
}

.woocommerce-checkout .woocommerce-table__product-total {
    width: 10%;
    align-items: start;
}

/* General gutenberg buttons */
.wp-block-button .wp-element-button {
    color: var(--the7-btn-color);
    background: var(--the7-btn-bg, #3f818c);
    transition: all 0.3s ease-out;
    box-shadow: var(--the7-btn-shadow);
    -webkit-appearance: none;
    outline: none;
    font: var(--the7-btn-m-font) !important;
    text-transform: var(--the7-btn-m-text-transform) !important;
    letter-spacing: var(--the7-btn-m-letter-spacing) !important;
    word-spacing: var(--the7-btn-m-word-spacing);
    border-width: var(--the7-btn-m-border-width);
    border-style: var(--the7-btn-m-border-style);
    border-color: var(--the7-btn-border-color);
    min-width: var(--the7-btn-m-min-width);
    border-radius: var(--the7-btn-m-border-radius);
    font-size: 1rem !important;
    font-weight: 600 !important;
    padding: 0.9rem 3rem;
}

.wp-block-button .wp-element-button:hover:not([disabled]) {
    background: var(--the7-btn-hover-bg, #336771);
    opacity: 1.0;
}

.wp-block-button.is-style-outline .wp-element-button {
    border-width: 2px;
    background: transparent none;
    color: var(--the7-btn-bg, #3f818c);
}

.wp-block-button.is-style-outline .wp-element-button:hover:hover:not([disabled]) {
    background: var(--the7-btn-bg, #3f818c);
    color: #fff;
}

/* Global */
@media screen and (max-width: 768px) {
    .wf-wrap {
        padding: 1rem !important;
    }
}

/* WC notices */
.popup-message-style div:not(.wc-coupon-wrap):not(.wc-login-wrap):not(.woocommerce-MyAccount-content) > .woocommerce-message, .popup-message-style .woocommerce-error, .popup-message-style div:not(.wc-coupon-wrap):not(.wc-login-wrap):not(.woocommerce-MyAccount-content) > .woocommerce-info {
    left: unset !important;
    right: 0 !important;
    transform: none !important;
    animation: none !important;
    animation-duration: 0s !important;
    animation-delay: 0s !important;
    animation-fill-mode: none !important;
    animation-timing-function: unset !important;
}
